<?php 


/**
 * Implement hook_rules_event_info().
 * @ingroup rules
 */


function materio_user_rules_rules_event_info() {
  return array(
    'materio_logintoboggan_validated' => array(
      'label' => t("When the user account is validated."),
      'group' => 'Materio',
      'variables' => array(
        'account' => array(
          'type' => 'user',
          'label' => t("The validated user's account"),
        ),
        'simplenews' => array(
          'type' => 'simplenews',
          'label' => t("The Simplenews info from the account validated"),
        ),
      ),
      'group' => t('User'),
    ),
    'materio_simplenews_rules_event_subscribe' => array(
      'label'  => t('A user has been subscribed and verified'),
      'group' => t('Simplenews'),
      'variables'   => array(
        'mail' => array(
          'type' => 'text',
          'label' => t('E-Mail'),
          'description' => t('The e-mail address that has been subscribed.'),
        ),
        'tid' => array(
          'type' => 'integer',
          'label' => t('Simplenews category'),
          'descrption' => t('The newsletter category of the subscription.'),
          'options list' => 'simplenews_category_list',
        ),
      ),
    ),
  );
}
